.\" Personal
.TH SENDFILE 1
.UC L

.SH NAME
sendfile - send file(s) via Internet

.SH SYNOPSIS
.B sendfile
[
.B \-stMgduzvolSPiqQV
]
[
.B \-c=" comment"
]
[
.B \-C=program
]
[
.B \-ps=[my_ID]
]
[
.B \-pe=[to_user]
]
[
.B \-m LIMIT
]
.I file
[...]
.I user[@host]
.PP
.B sendfile
.BI \-a=" archive"
[
.B \-uviqQ
]
[
.B \-c=" comment"
] 
[
.B \-C=program
]
[
.B \-ps[=my_ID]
]
[
.B \-pe[=to_user]
]
.I file_or_directory
[...] 
.I recipient

.SH DESCRIPTION
.B sendfile
sends files to the specified recipient.
.PP
On the receiving site there must be a SAFT-server
(Simple Asynchronous File Transfer) installed like 
.B \%sendfiled
which stores incoming files into the recipients spool-directory.

.PP
SAFT knows about 4 file types:
.TP 8
.B BINARY
Byte-stream file which will not be modified.
.TP 8
.B SOURCE
Record oriented program source file. Only EOL will be translated.
.TP 8
.B TEXT
Human readable text files. EOL and the character set (like German umlauts)
will be translated.
.TP 8
.B MIME
Multipurpose Internet Mail Extension file as defined by RFC 2045-2049.
.PP
Files can be sent compressed or pgp-encrypted and/or pgp-signed. 
As an extension to SAFT,
.B sendfile
is able to send multiple binary files in one archive file.
.PP
Default mode for
.B sendfile
is sending compressed binary files. Compression will be disabled for hosts
which are inside your LAN and for files which cannot be compressed. 
.PP
With the helper program
.B sfconf 
you can easily configure sendfile.

.SH ARGUMENTS
You have to specify at least one file name and the recipient's address.
An address can be specified as:
.TP 4
.B user
a local user or a sendfile alias (see below), e.g.: framstag
.TP
.B user@host
an user on a remote host, e.g.: framstag@bofh.belwue.de
.TP
.B saft://host/user
like above, but in URL-syntax, e.g.: saft://bofh.belwue.de/framstag
.TP
.B saft://host:port/user
like above, but with alternate SAFT-port, e.g.: saft://bofh.belwue.de:4870/framstag

.SH OPTIONS
.TP 8
.B -4, -6
Explicitly force IPv4 or IPv6 connections. By default, the program will try to resolve the name given, and
choose the appropriate protocol automatically. If resolving a host name returns both IPv4 and IPv6 addresses,
sendfile will try to use the adresses in the order they are returned by the resolver.
.TP
.B -s
Send in source mode (not needed if sending to a unix host).
.TP
.B -t
Send in text mode (not needed if sending to a unix host).
.TP
.B -M
Send MIME file (must be external composed before!).
.TP
.B -g
Send in guessed mode: sendfile tries to guess the correct mode (source,
text or binary). This will not work in every case and not on all platforms!
.TP
.B -i
Print more transaction information.
.TP
.B -v
Verbose mode: show SAFT protocol messages.
.TP
.B -V
Show version information and exit.
.TP
.B -u
Send uncompressed.
.TP
.B -z
Send compressed.
.TP
.B -a
Send files or whole directories as one archive (binary mode only).
You have to specify an archive name.
.TP
.B -d
Delete previous sent file. No wildcards allowed.
.TP
.B -o
Overwrite already sent file(s) with same name.
.TP
.B -P
Read file from stdin. You must specify a file name, too.
.TP
.B -S
Spool file into outgoing queue for later processing. You must run a
sendfiled which supports this mode.
.TP
.B -l
List files in the outgoing spool.
.TP
.B -q
Quiet mode 1: print no transfer messages.
.TP
.B -Q
Quiet mode 2: print no transfer, information or warning messages.
.TP
.B -c
Add a short comment to a single file.
.TP
.B -C
Force usage of specified compression program (gzip or bzip2).
.TP
.B -pc
Encrypt file(s) with pgp (IDEA symmetric).
.TP
.B -pe
Encrypt file(s) with pgp (public key).
.TP
.B -ps
Add pgp signature(s) to the file(s).
.TP
.B -m
Limit the maximum thruput (in KB/s).
.SH ARGUMENTS
.TP 8
.I user
Recipient user name. Can be an alias, too. See below.
.TP
.I file
File name to be sent. Only when using the 
.BI \-a=" archive"
option you may specify any file or directory.

.SH EXAMPLES
sendfile -t project.txt chief@bigvax.somewhere.net
.br
.br
sendfile -a=jokes -c 'from Gary Larson' *.gif framstag

.SH FILES
.TP 6
.I /usr/local/etc/sendfile.deny
Users which are not allowed to receive files or messages (set by root).
.TP 
.I /var/spool/sendfile/$USER/config/config
Your configuration file. Valid entries are (the | symbol means " or"):

.ES
   bell = on|off
.EE

add a bell when a file or message arrives.

.ES
   deleting = on|off
.EE

allow remote users to delete their files after transmission

.ES
   msglog = on|off
.EE

log incoming messages in /var/spool/sendfile/$USER/msglog

.ES
   notification = none|both|mail [user@host]|message [user@host]
.EE

send a notification when a file has been arrived via mail or message or
none or both mechanism.

.ES
   forward = user@host
.EE

set a forward address.
.TP 
.I /var/spool/sendfile/$USER/config/restrictions
List of addresses from where you don't want messages or files. The format
is: 

.ES
   user@host [mfb]
.EE

m stands for messages, f for files and b for both. Wildcards * and ? are
allowed. Examples:

.ES
   gates@microsoft.com b
   *aol.com m
.EE

You may also specify the addresses in URL-syntax.

.TP 
.I /var/spool/sendfile/$USER/config/aliases
The sendfile alias file. Format: 

.ES
   alias address [sendfile-options]
.EE

Example:

.ES
   chief grmblfz@bigvax.somewhere.net
   ccc chaoscomputerclub@saft.ccc.de -pe -ps
.EE

You may also specify the addresses in URL-syntax.

.SH SEE ALSO
.BR sfconf
.BR receive (1)
.BR sendmsg (1)
.BR fetchfile (1)

.SH AUTHOR
Ulli Horlacher  -  framstag@rus.uni-stuttgart.de
